glab(1)

NAME
glab-issue-create - Create an issue.

SYNOPSIS
glab issue create [flags]

DESCRIPTION
Opens an editor to draft the issue unless you pass a title and description. Use --web to create the issue in your browser, or --template to start from an issue template.

The --recover flag is an experiment: it might be unstable or removed at any time, and is not ready for production use. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-a, --assignee=[]
    Assign issue to people by their usernames. Multiple usernames can be comma-separated or specified by repeating the flag.

-c, --confidential[=false]
    Set an issue to be confidential.

-d, --description=""
    Issue description. Set to "-" to open an editor.

--due-date=""
    A date in 'YYYY-MM-DD' format.

--epic=0
    ID of the epic to add the issue to.

-l, --label=[]
    Add label by name. Multiple labels can be comma-separated or specified by repeating the flag.

--link-type="relates_to"
    Type for the issue link.

--linked-issues=[]
    The IIDs of issues that this issue links to. Multiple IIDs can be comma-separated or specified by repeating the flag.

--linked-mr=0
    The IID of a merge request in which to resolve all issues.

-m, --milestone=""
    The global ID or title of a milestone to assign.

--no-editor[=false]
    Don't open editor to enter a description. If set to true, uses prompt.

--recover[=false]
    Save the options to a file if the issue fails to be created. If the file exists, the options will be loaded from the recovery file. (EXPERIMENTAL)

--template=""
    Name of a template in '.gitlab/issue_templates/' to pre-populate the description. The '.md' extension is optional. Templates are loaded from the local repository only.

-e, --time-estimate=""
    Set time estimate for the issue.

-s, --time-spent=""
    Set time spent for the issue.

-t, --title=""
    Issue title.

--web[=false]
    Continue issue creation with web interface.

-w, --weight=0
    Issue weight. Valid values are greater than or equal to 0.

-y, --yes[=false]
    Don't prompt for confirmation to submit the issue.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    glab issue create
    glab issue new
    glab issue create -m release-2.0.0 -t "we need this feature" --label important
    glab issue new -t "Fix CVE-YYYY-XXXX" -l security --linked-mr 123
    glab issue create -m release-1.0.1 -t "security fix" --label security --web --recover
    glab issue create -t "Bug Report" --template bug
    glab issue create -t "Feature Request" --template feature_proposal.md --yes

SEE ALSO
glab-issue(1)